## golang-github-jmespath-go-jmespath 0.2.2

=== Makefile ===

CMD = jpgo

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  test                    to run all the tests"
	@echo "  build                   to build the library and jp executable"
	@echo "  generate                to run codegen"


generate:
	go generate ./...

build:
	rm -f $(CMD)
	go build ./...
	rm -f cmd/$(CMD)/$(CMD) && cd cmd/$(CMD)/ && go build ./...
	mv cmd/$(CMD)/$(CMD) .

test:
	go test -v ./...

check:
	go vet ./...
	@echo "golint ./..."
	@lint=`golint ./...`; \
	lint=`echo "$$lint" | grep -v "astnodetype_string.go" | grep -v "toktype_string.go"`; \
	echo "$$lint"; \
	if [ "$$lint" != "" ]; then exit 1; fi

htmlc:
	go test -coverprofile="/tmp/jpcov"  && go tool cover -html="/tmp/jpcov" && unlink /tmp/jpcov

buildfuzz:
	go-fuzz-build github.com/jmespath/go-jmespath/fuzz

fuzz: buildfuzz
	go-fuzz -bin=./jmespath-fuzz.zip -workdir=fuzz/corpus

bench:
	go test -bench . -cpuprofile cpu.out

pprof-cpu:
	go tool pprof ./go-jmespath.test ./cpu.out

=== debian/changelog ===
golang-github-jmespath-go-jmespath (0.2.2-2) unstable; urgency=medium

  * Change dependency to golang-any, for better arch support.
  * Add myself to Uploaders.
  * Update Standards-Version (no changes).
  * Fix broken Vcs-Git.
  * Remove unneded dependency on golang-go in the binary package.

 -- Martín Ferrari <tincho@debian.org>  Mon, 26 Sep 2016 17:02:11 +0100

golang-github-jmespath-go-jmespath (0.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #813908).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 24 Jan 2016 09:50:49 +1100

=== debian/control ===
Source: golang-github-jmespath-go-jmespath
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Martín Ferrari <tincho@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-stretchr-testify-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/jmespath/go-jmespath
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-jmespath-go-jmespath.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-jmespath-go-jmespath.git
XS-Go-Import-Path: github.com/jmespath/go-jmespath

Package: golang-github-jmespath-go-jmespath-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-stretchr-testify-dev
Description: Golang implementation of JMESPath
 A JMESPath implementation in Go.
 .
 See http://jmespath.org for more info.

=== debian/watch ===
# uscan(1) configuration file.
version=3

 https://github.com/jmespath/go-jmespath/releases \
 .*/archive/v?(\d[\d\.]*)\.tar\.gz

## golang-github-jmespath-go-jmespath 0.3.0

=== debian/changelog ===
golang-github-jmespath-go-jmespath (0.3.0-1) unstable; urgency=medium

  [ Jelmer Vernooĳ, a.k.a. the Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html

  [ Anthony Fok ]
  * New upstream version 0.3.0 (tag: v0.3.0)
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Update debian/watch to version=4 and add filenamemangle
  * Bump Standards-Version to 4.5.0 (no change)
  * Add "Rules-Requires-Root: no" to debian/control
  * Revert patch for removing extra 's' in "expression" as the spelling fix
    by Clint Adams has been merged upstream
  * Update and expand copyright information

 -- Anthony Fok <foka@debian.org>  Thu, 12 Mar 2020 18:26:06 -0600

golang-github-jmespath-go-jmespath (0.2.2-3) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Jongmin Kim ]
  * Add patch for removing extra 's' in "expression"
  * Bump up the policy standard to 4.4.0
  * Bump up the debhelper to 12
  * Add myself as an uploader
  * Change to new team mail address

  [ Anthony Fok ]
  * Apply "cme fix dpkg" fixes
    - Bump Standards-Version to 4.4.1 (no change)
    - Use https form of the copyright-format URL in debian/copyright
  * Add myself to the list of Uploaders
  * Fix Origin URL in the DEP3 header of debian/patches/fix-typo.patch
  * Restore upstream source to Debian "master" branch,
    and turn off overlay mode and export-dir etc. in debian/gbp.conf

 -- Anthony Fok <foka@debian.org>  Mon, 14 Oct 2019 15:46:28 -0600

=== debian/control ===
Source: golang-github-jmespath-go-jmespath
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Martina Ferrari <tincho@debian.org>,
           Jongmin Kim <jmkim@pukyong.ac.kr>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jmespath-go-jmespath
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-jmespath-go-jmespath.git
Homepage: https://github.com/jmespath/go-jmespath
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/jmespath/go-jmespath

Package: golang-github-jmespath-go-jmespath-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-stretchr-testify-dev
Description: Golang implementation of JMESPath
 A JMESPath implementation in Go.
 .
 See http://jmespath.org for more info.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-jmespath-go-jmespath-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/jmespath/go-jmespath/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-jmespath-go-jmespath 0.4.0

=== debian/changelog ===
golang-github-jmespath-go-jmespath (0.4.0-2) unstable; urgency=medium

  * Fix "no matching files for watch line" problem in debian/watch
  * Run "cmd fix dpkg" to clean up debian/control
    and bump Standards-Version to 4.6.0 (no change)
  * Change Section from devel to golang
  * Mark library package with "Multi-Arch: foreign"

 -- Anthony Fok <foka@debian.org>  Tue, 12 Oct 2021 05:38:58 -0600

golang-github-jmespath-go-jmespath (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * debian/watch: Restrict regex to match go-jmespath itself only
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
  * Adjust debian/control and debian/copyright to accommodate the fact that
    upstream added github.com/stretchr/testify@v1.5.1 as an internal
    submodule, see https://github.com/jmespath/go-jmespath/pull/56

 -- Anthony Fok <foka@debian.org>  Thu, 22 Oct 2020 05:07:51 -0600

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,17 @@
            Martina Ferrari <tincho@debian.org>,
            Jongmin Kim <jmkim@pukyong.ac.kr>,
            Anthony Fok <foka@debian.org>
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-golang (>= 1.17~),
+Build-Depends: debhelper-compat (= 13),
+               dh-golang,
                golang-any,
-               golang-github-stretchr-testify-dev
-Standards-Version: 4.5.0
+               golang-github-davecgh-go-spew-dev,
+               golang-github-pmezard-go-difflib-dev,
+               golang-github-stretchr-objx-dev,
+               golang-gopkg-yaml.v2-dev (>= 2.2.8)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jmespath-go-jmespath
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-jmespath-go-jmespath.git
 Homepage: https://github.com/jmespath/go-jmespath
@@ -21,9 +24,13 @@
 
 Package: golang-github-jmespath-go-jmespath-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-github-stretchr-testify-dev
+         golang-github-davecgh-go-spew-dev,
+         golang-github-pmezard-go-difflib-dev,
+         golang-github-stretchr-objx-dev,
+         golang-gopkg-yaml.v2-dev (>= 2.2.8)
 Description: Golang implementation of JMESPath
  A JMESPath implementation in Go.
  .

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/jmespath/go-jmespath/tags \
  .*/archive/refs/tags/v?(\d\S*)\.tar\.gz debian
